## tellico 2.2

=== CMakeLists.txt ===
project(Tellico)
set(TELLICO_VERSION "2.2")

cmake_minimum_required(VERSION 2.6.2)

# http://www.cmake.org/Wiki/CMake_Useful_Variables
# automatically add CMAKE_CURRENT_SOURCE_DIR and CMAKE_CURRENT_BINARY_DIR
# to the include directories in every processed CMakeLists.txt
set(CMAKE_INCLUDE_CURRENT_DIR TRUE)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH}
                      ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)

############# Options #################

option(ENABLE_AMAZON "Enable Amazon.com searching" TRUE)
option(ENABLE_IMDB "Enable IMDb searching" TRUE)
option(ENABLE_CDTEXT "Enable cdtext" TRUE)
option(ENABLE_WEBCAM "Enable support for webcams" FALSE)

include(CheckTypeSize)
check_type_size("unsigned char" SIZEOF_UNSIGNED_CHAR)
check_type_size("unsigned short" SIZEOF_UNSIGNED_SHORT)
check_type_size("unsigned long" SIZEOF_UNSIGNED_LONG)
check_type_size("unsigned int" SIZEOF_UNSIGNED_INT)
check_type_size("short" SIZEOF_SHORT)
check_type_size("long" SIZEOF_LONG)
check_type_size("int" SIZEOF_INT)

include(CheckSymbolExists)
check_symbol_exists(strlwr "string.h" HAVE_STRLWR)
check_symbol_exists(strupr "string.h" HAVE_STRUPR)

find_package(KDE4 4.2.0 REQUIRED)
include(KDE4Defaults)
include(MacroLibrary)
include(MacroBoolTo01)
include(MacroLogFeature)

find_package(Gettext REQUIRED)
find_package(QImageBlitz REQUIRED)
find_package(LibXml2 REQUIRED)
find_package(LibXslt REQUIRED)

# The taglib cmake script is broken, this works around the issue
set(TAGLIB_INCLUDES)

# Tellico used to use its own FindKcal and FindKabs cmake modules
# now we just ust the kdepimlibs one
#macro_optional_find_package(Kabc)
#macro_log_feature(KABC_FOUND "kabc" "Support for reading address book" "http://pim.kde.org" FALSE "4.2.0" "")

#macro_optional_find_package(Kcal)
#macro_log_feature(KCAL_FOUND "kcal" "Support for adding loans to calendar" "http://pim.kde.org" FALSE "4.2.0" "")

macro_optional_find_package(KdepimLibs)
macro_log_feature(KDEPIMLIBS_FOUND "kdepimlibs" "Support for using the address book and calendar for loans" "http://pim.kde.org" FALSE "4.2.0" "")

macro_optional_find_package(Kcddb)
macro_log_feature(KCDDB_FOUND "libkcddb" "Support for CDDB searches" "http://multimedia.kde.org" FALSE "4.2.0" "")

macro_optional_find_package(Taglib)
macro_log_feature(TAGLIB_FOUND "taglib" "Support for reading multimedia files" "http://www.freshmeat.net/projects/taglib" FALSE "" "")

macro_optional_find_package(Yaz 2.0)
macro_log_feature(YAZ_FOUND "libyaz" "Support for searching z39.50 databases" "http://www.indexdata.dk/yaz/" FALSE "2.0" "")

macro_optional_find_package(PopplerQt4)
macro_log_feature(POPPLER_QT4_FOUND "libpoppler" "Support for reading PDF files" "http://poppler.freedesktop.org/" FALSE "" "")
if(POPPLER_QT4_FOUND)
    add_definitions(${POPPLER_QT4_DEFINITIONS})
    include_directories(${POPPLER_QT4_INCLUDE_DIR})
endif(POPPLER_QT4_FOUND)

macro_optional_find_package(KSane)
macro_log_feature(KSANE_FOUND "libksane" "Support for scanning images" "http://www.kde.org/" FALSE "4.2.0" "")
if(KSANE_FOUND)
    include_directories(${KSANE_INCLUDE_DIR})
endif(KSANE_FOUND)

macro_optional_find_package(Exempi 2.0)
macro_log_feature(LIBEXEMPI_FOUND "libexempi" "Support for reading PDF/XMP metadata" "http://libopenraw.freedesktop.org/wiki/Exempi" FALSE "2.0" "")
if(LIBEXEMPI_FOUND)
    add_definitions(${LIBEXEMPI_CFLAGS})
    include_directories(${LIBEXEMPI_INCLUDE_DIR})
endif(LIBEXEMPI_FOUND)

# once we make webcam support enabled by default, we can remove this logic
if(ENABLE_WEBCAM)
    macro_optional_find_package(V4l)
    macro_log_feature(LIBV4L_FOUND "libv4l" "Support for barcode scanning with a webcam" "http://hansdegoede.livejournal.com/3636.html" FALSE "" "Required for using a webcam")
    if(LIBV4L_FOUND)
        include_directories(${LIBV4L_INCLUDE_DIR})
    else(LIBV4L_FOUND)
        set(ENABLE_WEBCAM FALSE)
    endif(LIBV4L_FOUND)
endif(ENABLE_WEBCAM)

if(CMAKE_COMPILER_IS_GNUCXX)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wnon-virtual-dtor -Wno-long-long -Wextra -fno-check-new -Woverloaded-virtual")
endif(CMAKE_COMPILER_IS_GNUCXX)

add_definitions(${QT_DEFINITIONS}
                ${KDE4_DEFINITIONS}
                ${TAGLIB_CFLAGS}
                ${YAZ_CFLAGS})
add_definitions(-DQT_STL -DQT_NO_CAST_FROM_ASCII)
remove_definitions(-DQT_NO_STL -DQT3_SUPPORT)

include_directories(${KDE4_INCLUDES}
                    ${QT_INCLUDES}
                    ${LIBXML2_INCLUDE_DIR}
                    ${LIBXSLT_INCLUDE_DIR}
                    ${TAGLIB_INCLUDES}
                    ${CMAKE_CURRENT_BINARY_DIR}
                    ${Tellico_SOURCE_DIR}/src/core
                    ${Tellico_SOURCE_DIR}/src/3rdparty)

# is there a better way to disable qt3support library?
get_directory_property(include_dirs INCLUDE_DIRECTORIES)
if(QT_QT3SUPPORT_FOUND)
  string(REPLACE ${QT_QT3SUPPORT_INCLUDE_DIR} "" include_dirs "${include_dirs}")
endif(QT_QT3SUPPORT_FOUND)
set_directory_properties(PROPERTIES INCLUDE_DIRECTORIES "${include_dirs}")

set(TELLICO_DATA_INSTALL_DIR ${DATA_INSTALL_DIR}/tellico)

add_subdirectory(src)
add_subdirectory(icons)
add_subdirectory(xslt)

if(NOT CMAKE_SYSTEM_NAME MATCHES "FreeBSD|Linux|kFreeBSD|NetBSD|OpenBSD|SunOS|Darwin")
    message("WARNING: CDDB Lookup is not supported on your platform")
endif(NOT CMAKE_SYSTEM_NAME MATCHES "FreeBSD|Linux|kFreeBSD|NetBSD|OpenBSD|SunOS|Darwin")

if(ENABLE_WEBCAM AND NOT CMAKE_SYSTEM_NAME MATCHES "Linux")
    message("WARNING: Webcam support is not available on your platform")
    set( ENABLE_WEBCAM FALSE )
endif(ENABLE_WEBCAM AND NOT CMAKE_SYSTEM_NAME MATCHES "Linux")

########## Wrap tests results around the tests done within the source

macro_bool_to_01(TAGLIB_FOUND HAVE_TAGLIB)
macro_bool_to_01(POPPLER_QT4_FOUND HAVE_POPPLER)
macro_bool_to_01(LIBEXEMPI_FOUND HAVE_EXEMPI)
macro_bool_to_01(YAZ_FOUND HAVE_YAZ)
macro_bool_to_01(KSANE_FOUND HAVE_KSANE)
macro_bool_to_01(KCDDB_FOUND HAVE_KCDDB)
macro_bool_to_01(KDEPIMLIBS_FOUND HAVE_KABC)
macro_bool_to_01(KDEPIMLIBS_FOUND HAVE_KCAL)
macro_bool_to_01(LIBV4L_FOUND HAVE_V4L)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)

########### install files ###############

install(FILES tellico.dtd tellico.tips DESTINATION ${TELLICO_DATA_INSTALL_DIR})
install(FILES tellico.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
install(FILES tellico.xml DESTINATION  ${XDG_MIME_INSTALL_DIR})
install(FILES x-tellico.desktop DESTINATION ${MIME_INSTALL_DIR}/application)

if(CMAKE_SOURCE_DIR STREQUAL "${CMAKE_CURRENT_SOURCE_DIR}")
    macro_display_feature_log()
endif(CMAKE_SOURCE_DIR STREQUAL "${CMAKE_CURRENT_SOURCE_DIR}")
find_package(Msgfmt REQUIRED)
find_package(Gettext REQUIRED)
add_subdirectory( po )
add_subdirectory( doc-translations )
add_subdirectory( doc )

=== doc-translations/CMakeLists.txt ===
add_subdirectory( fr_tellico/tellico )
add_subdirectory( pt_BR_tellico/tellico )
add_subdirectory( sv_tellico/tellico )
add_subdirectory( uk_tellico/tellico )

=== doc/CMakeLists.txt ===

KDE4_CREATE_HANDBOOK( index.docbook
  INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en
  SUBDIR tellico
  )

=== icons/CMakeLists.txt ===
########### install files ###############

set(ICON_FILES
    album.png
    bibtex.png
    boardgame.png
    book.png
    card.png
    checkmark.png
    coin.png
    comic.png
    file.png
    game.png
    nocover_album.png
    nocover_bibtex.png
    nocover_boardgame.png
    nocover_book.png
    nocover_comic.png
    nocover_game.png
    nocover_video.png
    person-open.png
    person.png
    README.icons
    README.quesnay
    script.png
    script.svg
    stamp.png
    star_off.png
    star_on.png
    stars10.png
    stars1.png
    stars2.png
    stars3.png
    stars4.png
    stars5.png
    stars6.png
    stars7.png
    stars8.png
    stars9.png
    tellico_mime.svg
    tellico.png
    tellico.svg
    tellico.svg
    video.png
    wine.png
    )

INSTALL(FILES ${ICON_FILES} DESTINATION ${TELLICO_DATA_INSTALL_DIR}/pics )

KDE4_INSTALL_ICONS( ${ICON_INSTALL_DIR} )

=== po/CMakeLists.txt ===
add_subdirectory( bg )
add_subdirectory( ca )
add_subdirectory( ca@valencia )
add_subdirectory( cs )
add_subdirectory( da )
add_subdirectory( de )
add_subdirectory( el )
add_subdirectory( en_GB )
add_subdirectory( eo )
add_subdirectory( es )
add_subdirectory( et )
add_subdirectory( fi )
add_subdirectory( fr )
add_subdirectory( ga )
add_subdirectory( gl )
add_subdirectory( hu )
add_subdirectory( it )
add_subdirectory( lt )
add_subdirectory( ms )
add_subdirectory( nb )
add_subdirectory( nds )
add_subdirectory( nl )
add_subdirectory( nn )
add_subdirectory( pl )

=== src/CMakeLists.txt ===
ADD_SUBDIRECTORY( core )
ADD_SUBDIRECTORY( gui )
ADD_SUBDIRECTORY( collections )
ADD_SUBDIRECTORY( images )
ADD_SUBDIRECTORY( translators )
ADD_SUBDIRECTORY( fetch )
ADD_SUBDIRECTORY( commands )
ADD_SUBDIRECTORY( cite )
ADD_SUBDIRECTORY( newstuff )
ADD_SUBDIRECTORY( models )
ADD_SUBDIRECTORY( utils )
ADD_SUBDIRECTORY( 3rdparty )

IF( KDE4_BUILD_TESTS )
  ADD_SUBDIRECTORY( tests )
ENDIF( KDE4_BUILD_TESTS )

IF( ENABLE_WEBCAM )
  ADD_SUBDIRECTORY( barcode )
ENDIF( ENABLE_WEBCAM )

########### next target ###############

SET(tellico_SRCS
   borrower.cpp
   borrowerdialog.cpp
   collection.cpp
   collectionfactory.cpp
   collectionfieldsdialog.cpp
   configdialog.cpp
   controller.cpp
   detailedlistview.cpp
   derivedvalue.cpp
   document.cpp
   entry.cpp
   entryeditdialog.cpp
   entrygroup.cpp
   entryiconview.cpp
   entrycomparison.cpp
   entrymatchdialog.cpp
   entrymerger.cpp
   entryupdatejob.cpp
   entryupdater.cpp
   entryview.cpp
   exportdialog.cpp
   fetchdialog.cpp
   fetcherconfigdialog.cpp
   field.cpp
   fieldcompletion.cpp
   fieldformat.cpp
   filter.cpp
   filterdialog.cpp
   filterview.cpp
   groupview.cpp
   importdialog.cpp
   loandialog.cpp
   loanview.cpp
   main.cpp
   mainwindow.cpp
   progressmanager.cpp
   reportdialog.cpp
   tellico_kernel.cpp
   tellico_utils.cpp
   viewstack.cpp
   )

KDE4_ADD_EXECUTABLE(tellico ${tellico_SRCS})

TARGET_LINK_LIBRARIES(tellico
    core
    cite
    fetch
    collections
    images
    translators
    gui
    commands
    models
    utils
    newstuff
    pilotdb
    rtf2html
    btparse
    csv
    )

TARGET_LINK_LIBRARIES(tellico
    ${QT_AND_KDECORE_LIBS}
    ${KDE4_KDEUI_LIBS}
    ${KDE4_KIO_LIBS}
    ${KDE4_KHTML_LIBS}
    ${KDE4_KNEWSTUFF2_LIBS}
    ${KDE4_SOLID_LIBS}
    ${QIMAGEBLITZ_LIBRARIES}
    ${LIBXML2_LIBRARIES}
    ${LIBXSLT_LIBRARIES}
    ${LIBEXSLT_LIBRARIES}
    )

#IF( KABC_FOUND )
#  TARGET_LINK_LIBRARIES(tellico ${KABC_LIBRARIES})
#ENDIF( KABC_FOUND )

#IF( KCAL_FOUND )
#  TARGET_LINK_LIBRARIES(tellico ${KCAL_LIBRARIES})
#ENDIF( KCAL_FOUND )

IF( KDEPIMLIBS_FOUND )
  TARGET_LINK_LIBRARIES(tellico ${KDEPIMLIBS_KABC_LIBS} ${KDEPIMLIBS_KCAL_LIBS})
ENDIF( KDEPIMLIBS_FOUND )

IF( KCDDB_FOUND )
  TARGET_LINK_LIBRARIES(tellico ${KCDDB_LIBRARIES})
ENDIF( KCDDB_FOUND)

IF( POPPLER_QT4_FOUND )
  TARGET_LINK_LIBRARIES(tellico ${POPPLER_QT4_LIBRARIES})
ENDIF( POPPLER_QT4_FOUND )

IF( LIBEXEMPI_FOUND )
  TARGET_LINK_LIBRARIES(tellico ${LIBEXEMPI_LIBRARIES})
ENDIF( LIBEXEMPI_FOUND )

IF( TAGLIB_FOUND )
  TARGET_LINK_LIBRARIES(tellico ${TAGLIB_LIBRARIES})
ENDIF( TAGLIB_FOUND )

IF( YAZ_FOUND )
  TARGET_LINK_LIBRARIES(tellico ${YAZ_LIBRARIES})
ENDIF( YAZ_FOUND )

IF( ENABLE_WEBCAM )
  TARGET_LINK_LIBRARIES(tellico barcode ${LIBV4L_LIBRARIES})
ENDIF( ENABLE_WEBCAM )

IF( KSANE_FOUND )
  TARGET_LINK_LIBRARIES(tellico ${KSANE_LIBRARY})
ENDIF( KSANE_FOUND )

INSTALL( TARGETS tellico ${INSTALL_TARGETS_DEFAULT_ARGS} )

########### install files ###############

INSTALL(FILES   tellicorc DESTINATION ${CONFIG_INSTALL_DIR} )
INSTALL(FILES   tellicoui.rc DESTINATION ${TELLICO_DATA_INSTALL_DIR} )

=== xslt/CMakeLists.txt ===
ADD_SUBDIRECTORY( entry-templates )
ADD_SUBDIRECTORY( report-templates )

########### install files ###############

SET(XSLT_FILES
    amazon2tellico.xsl
    arxiv2tellico.xsl
    bluray-logo.png
    cassette-logo.png
    cd-logo.png
    crossref2tellico.xsl
    delicious2tellico.xsl
    discogs2tellico.xsl
    dvd-logo.png
    gcstar2tellico.xsl
    giantbomb2tellico.xsl
    hddvd-logo.png
    isbndb2tellico.xsl
    MARC21slim2MODS3.xsl
    MARC21slimUtils.xsl
    mods2tellico.xsl
    musicbrainz2tellico.xsl
    pubmed2tellico.xsl
    record-logo.png
    referencer2tellico.xsl
    shadowAlpha.png
    srw2tellico.xsl
    tellico2gcstar.xsl
    tellico2html.js
    tellico2html.xsl
    tellico2onix.xsl
    tellico-by-author.xsl
    tellico-by-title.xsl
    tellico-common.xsl
    tellico-printing.xsl
    tmdb2tellico.xsl
    UNIMARC2MODS3.xsl
    vhs-logo.png
    welcome.html
    winecom2tellico.xsl
    xmp2tellico.xsl
    yahoo2tellico.xsl
    )

INSTALL(FILES ${XSLT_FILES} DESTINATION ${TELLICO_DATA_INSTALL_DIR} )

=== src/cite/CMakeLists.txt ===
SET(cite_STAT_SRCS
   lyxpipe.cpp
   actionmanager.cpp
   clipboard.cpp
   )

KDE4_ADD_LIBRARY(cite STATIC ${cite_STAT_SRCS})

ADD_DEPENDENCIES(cite tellico_config)

=== src/commands/CMakeLists.txt ===

########### next target ###############

SET(commands_STAT_SRCS
   addentries.cpp
   modifyentries.cpp
   removeentries.cpp
   addloans.cpp
   modifyloans.cpp
   removeloans.cpp
   fieldcommand.cpp
   filtercommand.cpp
   reorderfields.cpp
   collectioncommand.cpp
   renamecollection.cpp
   updateentries.cpp
   )

KDE4_ADD_LIBRARY(commands STATIC ${commands_STAT_SRCS})

=== src/core/CMakeLists.txt ===
########### next target ###############

SET(core_STAT_SRCS
   dbusinterface.cpp
   drophandler.cpp
   filehandler.cpp
   netaccess.cpp
   tellico_config_addons.cpp
   tellico_strings.cpp
   )

SET(core_KCFG_SRCS
   tellico_config.kcfgc
   )

KDE4_ADD_KCFG_FILES(core_STAT_SRCS ${core_KCFG_SRCS})

ADD_CUSTOM_TARGET(tellico_config DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/tellico_config.h)

KDE4_ADD_LIBRARY(core STATIC ${core_STAT_SRCS})

########### install files ###############

INSTALL(FILES   tellico_config.kcfg DESTINATION ${KCFG_INSTALL_DIR} )
INSTALL(FILES   tellico-rename.upd tellico.upd DESTINATION ${KCONF_UPDATE_INSTALL_DIR} )

INSTALL(PROGRAMS   tellico-1-3-update.pl DESTINATION ${KCONF_UPDATE_INSTALL_DIR} )

=== src/fetch/CMakeLists.txt ===
ADD_SUBDIRECTORY( scripts )

########### next target ###############

SET(fetch_STAT_SRCS
   amazonfetcher.cpp
   amazonrequest.cpp
   animenfofetcher.cpp
   arxivfetcher.cpp
   bibsonomyfetcher.cpp
   citebasefetcher.cpp
   configwidget.cpp
   crossreffetcher.cpp
   discogsfetcher.cpp
   entrezfetcher.cpp
   execexternalfetcher.cpp
   fetcher.cpp
   fetcherinitializer.cpp
   fetcherjob.cpp
   fetchmanager.cpp
   fetchresult.cpp
   gcstarpluginfetcher.cpp
   giantbombfetcher.cpp
   googlescholarfetcher.cpp
   hmac_sha2.c
   ibsfetcher.cpp
   imdbfetcher.cpp
   isbndbfetcher.cpp
   messagehandler.cpp
   musicbrainzfetcher.cpp
   sha2.c
   srufetcher.cpp
   themoviedbfetcher.cpp
   winecomfetcher.cpp
   xmlfetcher.cpp
   yahoofetcher.cpp
   z3950connection.cpp
   z3950fetcher.cpp
   )

KDE4_ADD_LIBRARY(fetch STATIC ${fetch_STAT_SRCS})

TARGET_LINK_LIBRARIES(fetch
    newstuff
    btparse
    )
IF( YAZ_FOUND )
  TARGET_LINK_LIBRARIES(fetch ${YAZ_LIBRARIES})
ENDIF( YAZ_FOUND )

########### install files ###############

INSTALL(FILES   z3950-servers.cfg DESTINATION ${TELLICO_DATA_INSTALL_DIR} )

=== src/models/CMakeLists.txt ===
########### next target ###############

SET(models_STAT_SRCS
   abstractentrymodel.cpp
   abstractsortmodel.cpp
   borrowermodel.cpp
   entrygroupmodel.cpp
   entrymodel.cpp
   entrysortmodel.cpp
   entrytitlemodel.cpp
   filtermodel.cpp
   groupsortmodel.cpp
   modeliterator.cpp
   modelmanager.cpp
   modeltest.cpp
   )

KDE4_ADD_LIBRARY(models STATIC ${models_STAT_SRCS})

=== debian/changelog ===
tellico (2.2-5) unstable; urgency=high

  * pkg-kde-tools has moved documentation to /usr/share/doc/kde/HTML.
    update the .install file and tighten the build-dependency.
    (Closes: #584153).
  * Set urgency high to help with the yaz transition.

 -- Regis Boudin <regis@debian.org>  Tue, 01 Jun 2010 22:27:01 +0100

tellico (2.2-4) unstable; urgency=low

  * Add build-depends on cmake. Thanks Felix Geyer ! Closes: #582179
  * Exclude akonadi-server that libkcal4 and libkabc try to force as
    depends.

 -- Regis Boudin <regis@debian.org>  Thu, 20 May 2010 00:29:34 +0100

tellico (2.2-3) unstable; urgency=low

  * Bump build-depends from libyaz3-dev to libyaz4-dev. Don't bother about
    about backportability for now. Closes: #576780

 -- Regis Boudin <regis@debian.org>  Sun, 11 Apr 2010 23:27:48 +0100

tellico (2.2-2) unstable; urgency=low

  * Install the i18n files again, which were removed by mistake. Thanks to
    Luigi Toscano. Closes: #572802 

 -- Regis Boudin <regis@debian.org>  Sat, 20 Mar 2010 13:10:30 +0000

tellico (2.2-1) unstable; urgency=low

  * New upstream release.
  * Update debhelper compatibility level to 7.
  * Bump Standards-Version to 3.8.4.
  * Stop shipping now unused KDE3 desktop file for mime types.

 -- Regis Boudin <regis@debian.org>  Thu, 18 Feb 2010 01:33:48 +0000

=== debian/control ===
Source: tellico
Section: kde
Priority: optional
Maintainer: Regis Boudin <regis@debian.org>
Build-Depends: debhelper (>= 7), cmake, pkg-kde-tools (>= 0.9), kdelibs5-dev (>=4:4.4.4), libxml2-dev, libxslt1-dev, libtag1-dev, libyaz4-dev, libkcddb-dev, kdepimlibs5-dev, libpoppler-qt4-dev, libexempi-dev, libqimageblitz-dev, libksane-dev, libv4l-dev | not+linux-gnu
Standards-Version: 3.8.4
Homepage: http://tellico-project.org/
Vcs-Svn: svn://anonsvn.kde.org/home/kde/trunk/extragear/office/tellico

Package: tellico
Replaces: tellico-data (<= 1.2.14-1)
Architecture: any
Depends: tellico-data (= ${source:Version}), tellico-scripts, ${shlibs:Depends}, ${misc:Depends}
Recommends: khelpcenter4
Description: collection manager for books, videos, music
 Tellico is a collection manager for KDE. It includes default collections for
 books, bibliographies, comic books, videos, music, coins, stamps, trading
 cards, and wines, and also allows custom collections; with unlimited
 user-defined fields allowed. Automatically formatted names, sorting by any
 property, filters, automatic ISBN validation and full customization for
 printing or display through XSLT files are some of the features present. It
 can import CSV, RIS, BibTeX, and BibTeXML files; and export CSV, HTML, BibTeX,
 BibTeXML, and PilotDB. Tellico can also import data from Amazon, IMDb, CDDB,
 or any US-MARC compliant z39.50 server.
 .
 The files are stored in XML format, avoiding the need for database server.
 It also makes it easy for other softwares to use the Tellico data.

Package: tellico-data
Architecture: all
Conflicts: tellico (<< 1.1.6-1)
Replaces: tellico (<< 1.1.6-1)
Depends: kdelibs5-data, ${misc:Depends}
Recommends: tellico
Suggests: python
Description: collection manager for books, videos, music [data]
 Tellico is a collection manager for KDE. It includes default collections for
 books, bibliographies, comic books, videos, music, coins, stamps, trading
 cards, and wines, and also allows custom collections; with unlimited
 user-defined fields allowed. Automatically formatted names, sorting by any
 property, filters, automatic ISBN validation and full customization for
 printing or display through XSLT files are some of the features present. It
 can import CSV, RIS, BibTeX, and BibTeXML files; and export CSV, HTML, BibTeX,
 BibTeXML, and PilotDB. Tellico can also import data from Amazon, IMDb, CDDB,
 or any US-MARC compliant z39.50 server.
 .
 The files are stored in XML format, avoiding the need for database server.
 It also makes it easy for other softwares to use the Tellico data.
 .
 This package contains the architecture independent files, such data files and
 documentation.

Package: tellico-scripts
Architecture: all
Depends: ${misc:Depends}
Conflicts: tellico-data (<= 1.3.1-2)
Replaces: tellico-data (<= 1.3.1-2)
Recommends: tellico
Suggests: python, ruby
Description: collection manager for books, videos, music [scripts]
 Tellico is a collection manager for KDE. It includes default collections for
 books, bibliographies, comic books, videos, music, coins, stamps, trading
 cards, and wines, and also allows custom collections; with unlimited
 user-defined fields allowed. Automatically formatted names, sorting by any
 property, filters, automatic ISBN validation and full customization for
 printing or display through XSLT files are some of the features present. It
 can import CSV, RIS, BibTeX, and BibTeXML files; and export CSV, HTML, BibTeX,
 BibTeXML, and PilotDB. Tellico can also import data from Amazon, IMDb, CDDB,
 or any US-MARC compliant z39.50 server.
 .
 The files are stored in XML format, avoiding the need for database server.
 It also makes it easy for other softwares to use the Tellico data.
 .
 This package contains the scripts to import data from external sources, such
 as websites. As the format of the data may change, these scripts are provided
 as a separate package which can be updated through debian-volatile.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_KDE_LINK_WITH_AS_NEEDED = yes

include /usr/share/pkg-kde-tools/makefiles/1/variables.mk

build_dir = builds/debbuild

${build_dir}:
	dh_testdir

	mkdir -p ${build_dir}
	# Add here commands to configure the package.
	cd ${build_dir} && \
		cmake $(CURDIR) \
		$(DEB_CMAKE_KDE4_FLAGS) \
		$(DEB_CMAKE_CUSTOM_FLAGS) \
		-DENABLE_WEBCAM=true \
		-DCMAKE_INSTALL_PREFIX="/usr"

configure: ${build_dir}

build: build-stamp

build-stamp:${build_dir} 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) -C ${build_dir} VERBOSE=1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	[ ! -d ${build_dir} ] || rm -rf ${build_dir}


	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/tellico.
	$(MAKE) -C ${build_dir} install DESTDIR=$(CURDIR)/debian/tmp

	# Remove  dead symlink from French translation
	#rm debian/tmp/usr/share/doc/kde/HTML/fr/tellico/common


# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_install -i
	dh_installmime -ptellico-data
	dh_installchangelogs -i ChangeLog
	dh_icons -i
	dh_installdocs -i
	dh_link -i
	dh_compress -i -Xkde
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs -a ChangeLog
	dh_installdocs -a
	dh_installexamples
	dh_install -a
	dh_installmenu
	dh_installman -a debian/tellico.1x
	dh_link -a
	dh_strip
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a -- -xkdepim-runtime
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-arch binary-indep
.PHONY: configure build clean binary-indep binary-arch binary install

## tellico 2.3.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 project(Tellico)
-set(TELLICO_VERSION "2.2")
+set(TELLICO_VERSION "2.3.3")
 
 cmake_minimum_required(VERSION 2.6.2)
 
@@ -42,25 +42,23 @@
 find_package(LibXml2 REQUIRED)
 find_package(LibXslt REQUIRED)
 
-# The taglib cmake script is broken, this works around the issue
-set(TAGLIB_INCLUDES)
-
-# Tellico used to use its own FindKcal and FindKabs cmake modules
-# now we just ust the kdepimlibs one
-#macro_optional_find_package(Kabc)
-#macro_log_feature(KABC_FOUND "kabc" "Support for reading address book" "http://pim.kde.org" FALSE "4.2.0" "")
-
-#macro_optional_find_package(Kcal)
-#macro_log_feature(KCAL_FOUND "kcal" "Support for adding loans to calendar" "http://pim.kde.org" FALSE "4.2.0" "")
+macro_optional_find_package(Nepomuk)
+macro_log_feature(NEPOMUK_FOUND "nepomuk" "Support for reading file metadata" "http://www.kde.org" FALSE "4.2.0" "")
 
 macro_optional_find_package(KdepimLibs)
 macro_log_feature(KDEPIMLIBS_FOUND "kdepimlibs" "Support for using the address book and calendar for loans" "http://pim.kde.org" FALSE "4.2.0" "")
 
-macro_optional_find_package(Kcddb)
-macro_log_feature(KCDDB_FOUND "libkcddb" "Support for CDDB searches" "http://multimedia.kde.org" FALSE "4.2.0" "")
+macro_optional_find_package(KdeMultimedia)
+macro_log_feature(KDEMULTIMEDIA_FOUND "kdemultimedia" "Support for CDDB searches" "http://multimedia.kde.org" FALSE "4.2.0" "")
 
+# The taglib cmake script is broken for older taglib versions, this works around the issue
+set(TAGLIB_INCLUDES)
 macro_optional_find_package(Taglib)
 macro_log_feature(TAGLIB_FOUND "taglib" "Support for reading multimedia files" "http://www.freshmeat.net/projects/taglib" FALSE "" "")
+if(TAGLIB_FOUND)
+    add_definitions(${TAGLIB_CFLAGS})
+    include_directories(${TAGLIB_INCLUDES})
+endif(TAGLIB_FOUND)
 
 macro_optional_find_package(Yaz 2.0)
 macro_log_feature(YAZ_FOUND "libyaz" "Support for searching z39.50 databases" "http://www.indexdata.dk/yaz/" FALSE "2.0" "")
@@ -73,7 +71,7 @@
 endif(POPPLER_QT4_FOUND)
 
 macro_optional_find_package(KSane)
-macro_log_feature(KSANE_FOUND "libksane" "Support for scanning images" "http://www.kde.org/" FALSE "4.2.0" "")
+macro_log_feature(KSANE_FOUND "libksane" "Support for adding scanned images to a collection" "http://www.kde.org/" FALSE "4.2.0" "")
 if(KSANE_FOUND)
     include_directories(${KSANE_INCLUDE_DIR})
 endif(KSANE_FOUND)
@@ -85,15 +83,30 @@
     include_directories(${LIBEXEMPI_INCLUDE_DIR})
 endif(LIBEXEMPI_FOUND)
 
-# once we make webcam support enabled by default, we can remove this logic
+macro_optional_find_package(QJSON)
+macro_log_feature(QJSON_FOUND "QJSON" "Support for searching OpenLibrary and Freebase" "http://qjson.sourceforge.net" FALSE "" "")
+
+# webcam uses libv4l, which only works on Linux for now
+# Linux 2.6.38 removed the videodev.h header
+# libv4l 0.8.3 includes a compat header for videodev.h
 if(ENABLE_WEBCAM)
-    macro_optional_find_package(V4l)
-    macro_log_feature(LIBV4L_FOUND "libv4l" "Support for barcode scanning with a webcam" "http://hansdegoede.livejournal.com/3636.html" FALSE "" "Required for using a webcam")
-    if(LIBV4L_FOUND)
-        include_directories(${LIBV4L_INCLUDE_DIR})
-    else(LIBV4L_FOUND)
-        set(ENABLE_WEBCAM FALSE)
-    endif(LIBV4L_FOUND)
+    if(NOT CMAKE_SYSTEM_NAME MATCHES "Linux")
+        message("WARNING: Webcam support is not available on your platform")
+        set( ENABLE_WEBCAM FALSE )
+    else(NOT CMAKE_SYSTEM_NAME MATCHES "Linux")
+        pkg_check_modules(LIBV4L libv4l1>=0.6)
+        macro_log_feature(LIBV4L_FOUND "libv4l" "Support for barcode scanning with a webcam" "http://hansdegoede.livejournal.com/3636.html"  FALSE "" "")                                                           
+        if(LIBV4L_FOUND)
+            if(LIBV4L_VERSION VERSION_LESS "0.8.3" AND CMAKE_SYSTEM_VERSION VERSION_GREATER "2.6.37") 
+                message("WARNING: libv4l 0.8.3 or later is required for Linux kernel 2.6.38 or later")
+                set( ENABLE_WEBCAM FALSE )
+            else(LIBV4L_VERSION VERSION_LESS "0.8.3" AND CMAKE_SYSTEM_VERSION VERSION_GREATER "2.6.37")
+                include_directories(${LIBV4L_INCLUDE_DIR})
+            endif(LIBV4L_VERSION VERSION_LESS "0.8.3" AND CMAKE_SYSTEM_VERSION VERSION_GREATER "2.6.37")
+        else(LIBV4L_FOUND)
+            set(ENABLE_WEBCAM FALSE)
+        endif(LIBV4L_FOUND)
+    endif(NOT CMAKE_SYSTEM_NAME MATCHES "Linux")
 endif(ENABLE_WEBCAM)
 
 if(CMAKE_COMPILER_IS_GNUCXX)
@@ -102,7 +115,6 @@
 
 add_definitions(${QT_DEFINITIONS}
                 ${KDE4_DEFINITIONS}
-                ${TAGLIB_CFLAGS}
                 ${YAZ_CFLAGS})
 add_definitions(-DQT_STL -DQT_NO_CAST_FROM_ASCII)
 remove_definitions(-DQT_NO_STL -DQT3_SUPPORT)
@@ -111,10 +123,15 @@
                     ${QT_INCLUDES}
                     ${LIBXML2_INCLUDE_DIR}
                     ${LIBXSLT_INCLUDE_DIR}
-                    ${TAGLIB_INCLUDES}
                     ${CMAKE_CURRENT_BINARY_DIR}
                     ${Tellico_SOURCE_DIR}/src/core
                     ${Tellico_SOURCE_DIR}/src/3rdparty)
+
+if(KDE_VERSION VERSION_GREATER 4.4)
+    set(ENABLE_KNEWSTUFF3 TRUE)
+else(KDE_VERSION VERSION_GREATER 4.4)
+    set(ENABLE_KNEWSTUFF3 FALSE)
+endif(KDE_VERSION VERSION_GREATER 4.4)
 
 # is there a better way to disable qt3support library?
 get_directory_property(include_dirs INCLUDE_DIRECTORIES)
@@ -133,11 +150,6 @@
     message("WARNING: CDDB Lookup is not supported on your platform")
 endif(NOT CMAKE_SYSTEM_NAME MATCHES "FreeBSD|Linux|kFreeBSD|NetBSD|OpenBSD|SunOS|Darwin")
 
-if(ENABLE_WEBCAM AND NOT CMAKE_SYSTEM_NAME MATCHES "Linux")
-    message("WARNING: Webcam support is not available on your platform")
-    set( ENABLE_WEBCAM FALSE )
-endif(ENABLE_WEBCAM AND NOT CMAKE_SYSTEM_NAME MATCHES "Linux")
-
 ########## Wrap tests results around the tests done within the source
 
 macro_bool_to_01(TAGLIB_FOUND HAVE_TAGLIB)
@@ -145,23 +157,27 @@
 macro_bool_to_01(LIBEXEMPI_FOUND HAVE_EXEMPI)
 macro_bool_to_01(YAZ_FOUND HAVE_YAZ)
 macro_bool_to_01(KSANE_FOUND HAVE_KSANE)
-macro_bool_to_01(KCDDB_FOUND HAVE_KCDDB)
+macro_bool_to_01(KDEMULTIMEDIA_FOUND HAVE_KCDDB)
 macro_bool_to_01(KDEPIMLIBS_FOUND HAVE_KABC)
 macro_bool_to_01(KDEPIMLIBS_FOUND HAVE_KCAL)
 macro_bool_to_01(LIBV4L_FOUND HAVE_V4L)
+macro_bool_to_01(QJSON_FOUND HAVE_QJSON)
+macro_bool_to_01(NEPOMUK_FOUND HAVE_NEPOMUK)
+macro_bool_to_01(ENABLE_KNEWSTUFF3 ENABLE_KNEWSTUFF3)
 
 configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)
 
 ########### install files ###############
 
 install(FILES tellico.dtd tellico.tips DESTINATION ${TELLICO_DATA_INSTALL_DIR})
-install(FILES tellico.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
+install(PROGRAMS tellico.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
 install(FILES tellico.xml DESTINATION  ${XDG_MIME_INSTALL_DIR})
 install(FILES x-tellico.desktop DESTINATION ${MIME_INSTALL_DIR}/application)
 
 if(CMAKE_SOURCE_DIR STREQUAL "${CMAKE_CURRENT_SOURCE_DIR}")
     macro_display_feature_log()
 endif(CMAKE_SOURCE_DIR STREQUAL "${CMAKE_CURRENT_SOURCE_DIR}")
+
 find_package(Msgfmt REQUIRED)
 find_package(Gettext REQUIRED)
 add_subdirectory( po )

=== doc-translations/CMakeLists.txt ===
add_subdirectory( es_tellico/tellico )
add_subdirectory( fr_tellico/tellico )
add_subdirectory( pt_tellico/tellico )
add_subdirectory( pt_BR_tellico/tellico )
add_subdirectory( sv_tellico/tellico )
add_subdirectory( uk_tellico/tellico )

=== icons/CMakeLists.txt ===
--- 
+++ 
@@ -2,15 +2,21 @@
 
 set(ICON_FILES
     album.png
+    alexandria.png
+    amc.png
     bibtex.png
     boardgame.png
     book.png
     card.png
     checkmark.png
+    cite.png
     coin.png
     comic.png
+    deliciouslibrary.png
     file.png
     game.png
+    gcstar.png
+    griffith.png
     nocover_album.png
     nocover_bibtex.png
     nocover_boardgame.png
@@ -18,10 +24,12 @@
     nocover_comic.png
     nocover_game.png
     nocover_video.png
+    palm.png
     person-open.png
     person.png
     README.icons
     README.quesnay
+    referencer.png
     script.png
     script.svg
     stamp.png

=== po/CMakeLists.txt ===
--- 
+++ 
@@ -9,12 +9,15 @@
 add_subdirectory( eo )
 add_subdirectory( es )
 add_subdirectory( et )
+add_subdirectory( eu )
 add_subdirectory( fi )
 add_subdirectory( fr )
 add_subdirectory( ga )
 add_subdirectory( gl )
 add_subdirectory( hu )
+add_subdirectory( ia )
 add_subdirectory( it )
+add_subdirectory( ja )
 add_subdirectory( lt )
 add_subdirectory( ms )
 add_subdirectory( nb )
@@ -22,3 +25,13 @@
 add_subdirectory( nl )
 add_subdirectory( nn )
 add_subdirectory( pl )
+add_subdirectory( pt )
+add_subdirectory( pt_BR )
+add_subdirectory( ro )
+add_subdirectory( ru )
+add_subdirectory( sk )
+add_subdirectory( sv )
+add_subdirectory( tr )
+add_subdirectory( uk )
+add_subdirectory( zh_CN )
+add_subdirectory( zh_TW )

=== xslt/CMakeLists.txt ===
--- 
+++ 
@@ -12,7 +12,9 @@
     crossref2tellico.xsl
     delicious2tellico.xsl
     discogs2tellico.xsl
+    douban2tellico.xsl
     dvd-logo.png
+    dvdfr2tellico.xsl
     gcstar2tellico.xsl
     giantbomb2tellico.xsl
     hddvd-logo.png

=== src/fetch/CMakeLists.txt ===
--- 
+++ 
@@ -12,6 +12,8 @@
    configwidget.cpp
    crossreffetcher.cpp
    discogsfetcher.cpp
+   doubanfetcher.cpp
+   dvdfrfetcher.cpp
    entrezfetcher.cpp
    execexternalfetcher.cpp
    fetcher.cpp
@@ -19,7 +21,10 @@
    fetcherjob.cpp
    fetchmanager.cpp
    fetchresult.cpp
+   filmasterfetcher.cpp
+   freebasefetcher.cpp
    gcstarpluginfetcher.cpp
+   gcstarthread.cpp
    giantbombfetcher.cpp
    googlescholarfetcher.cpp
    hmac_sha2.c
@@ -27,7 +32,9 @@
    imdbfetcher.cpp
    isbndbfetcher.cpp
    messagehandler.cpp
+   multifetcher.cpp
    musicbrainzfetcher.cpp
+   openlibraryfetcher.cpp
    sha2.c
    srufetcher.cpp
    themoviedbfetcher.cpp
@@ -44,10 +51,15 @@
     newstuff
     btparse
     )
+
 IF( YAZ_FOUND )
   TARGET_LINK_LIBRARIES(fetch ${YAZ_LIBRARIES})
 ENDIF( YAZ_FOUND )
 
+IF( QJSON_FOUND )
+  TARGET_LINK_LIBRARIES(fetch ${QJSON_LIBRARIES})
+ENDIF( QJSON_FOUND )
+
 ########### install files ###############
 
 INSTALL(FILES   z3950-servers.cfg DESTINATION ${TELLICO_DATA_INSTALL_DIR} )

=== src/gui/CMakeLists.txt ===

########### next target ###############

SET(gui_STAT_SRCS
   boolfieldwidget.cpp
   choicefieldwidget.cpp
   collectiontypecombo.cpp
   combobox.cpp
   countdelegate.cpp
   cursorsaver.cpp
   datefieldwidget.cpp
   datewidget.cpp
   guiproxy.cpp
   imagefieldwidget.cpp
   imagewidget.cpp
   fieldwidget.cpp
   kwidgetlister.cpp
   lineedit.cpp
   linefieldwidget.cpp
   listwidgetitem.cpp
   numberfieldwidget.cpp
   parafieldwidget.cpp
   previewdialog.cpp
   progress.cpp
   ratingfieldwidget.cpp
   ratingwidget.cpp
   spinbox.cpp
   statusbar.cpp
   stringmapdialog.cpp
   tablefieldwidget.cpp
   tabwidget.cpp
   treeview.cpp
   urlfieldwidget.cpp
   )

KDE4_ADD_LIBRARY(gui STATIC ${gui_STAT_SRCS})

=== src/models/CMakeLists.txt ===
--- 
+++ 
@@ -15,4 +15,4 @@
    modeltest.cpp
    )
 
-KDE4_ADD_LIBRARY(models STATIC ${models_STAT_SRCS})
+KDE4_ADD_LIBRARY(tellicomodels STATIC ${models_STAT_SRCS})

=== src/tests/CMakeLists.txt ===
SET( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )

# formattest includes fieldformat that include core/tellico_config.h
# which is generated in the build directory
INCLUDE_DIRECTORIES( ${Tellico_BINARY_DIR}/src )

KDE4_ADD_UNIT_TEST(entitytest NOGUI entitytest.cpp ../tellico_utils.cpp)
TARGET_LINK_LIBRARIES(entitytest ${KDE4_KDECORE_LIBS}  ${KDE4_KDEUI_LIBS} ${QT_QTTEST_LIBRARY} )

KDE4_ADD_UNIT_TEST(cuecattest NOGUI cuecattest.cpp)
TARGET_LINK_LIBRARIES(cuecattest utils ${KDE4_KDECORE_LIBS} ${KDE4_KDEUI_LIBS} ${QT_QTTEST_LIBRARY} )

KDE4_ADD_UNIT_TEST(isbntest NOGUI isbntest.cpp)
TARGET_LINK_LIBRARIES(isbntest utils ${QT_AND_KDECORE_LIBS} ${KDE4_KDEUI_LIBS} ${QT_QTTEST_LIBRARY} )

KDE4_ADD_UNIT_TEST(lccntest NOGUI lccntest.cpp)
TARGET_LINK_LIBRARIES(lccntest utils ${QT_AND_KDECORE_LIBS} ${KDE4_KDEUI_LIBS} ${QT_QTTEST_LIBRARY} )

KDE4_ADD_UNIT_TEST(lcctest NOGUI lcctest.cpp ../field.cpp ../fieldformat.cpp ../tellico_utils.cpp)
TARGET_LINK_LIBRARIES(lcctest utils core ${QT_AND_KDECORE_LIBS} ${KDE4_KDEUI_LIBS} ${QT_QTTEST_LIBRARY} )

KDE4_ADD_UNIT_TEST(csvtest NOGUI csvtest.cpp ../translators/csvparser.cpp)
TARGET_LINK_LIBRARIES(csvtest csv ${QT_AND_KDECORE_LIBS} ${QT_QTTEST_LIBRARY} )

KDE4_ADD_UNIT_TEST(formattest NOGUI formattest.cpp ../fieldformat.cpp)
TARGET_LINK_LIBRARIES(formattest core ${QT_AND_KDECORE_LIBS} ${KDE4_KDEUI_LIBS} ${QT_QTTEST_LIBRARY} )

KDE4_ADD_UNIT_TEST(fieldtest NOGUI fieldtest.cpp ../field.cpp ../fieldformat.cpp ../tellico_utils.cpp)
TARGET_LINK_LIBRARIES(fieldtest core ${QT_AND_KDECORE_LIBS} ${KDE4_KDEUI_LIBS} ${QT_QTTEST_LIBRARY} )

KDE4_ADD_UNIT_TEST(comparisontest NOGUI comparisontest.cpp ../field.cpp ../fieldformat.cpp ../tellico_utils.cpp)
TARGET_LINK_LIBRARIES(comparisontest utils core ${QT_AND_KDECORE_LIBS} ${KDE4_KDEUI_LIBS} ${QT_QTTEST_LIBRARY} )

KDE4_ADD_UNIT_TEST(imagetest NOGUI imagetest.cpp ../tellico_utils.cpp)
TARGET_LINK_LIBRARIES(imagetest images core ${QT_AND_KDECORE_LIBS} ${KDE4_KDEUI_LIBS} ${QT_QTTEST_LIBRARY} )

SET(tellicotest_SRCS
   ../collection.cpp
   ../entry.cpp
   ../entrygroup.cpp
   ../entrycomparison.cpp
   ../field.cpp
   ../fieldformat.cpp
   ../filter.cpp
   ../borrower.cpp
   ../collectionfactory.cpp
   ../tellico_utils.cpp
   ../derivedvalue.cpp
   ../document.cpp
   ../progressmanager.cpp
   )

KDE4_ADD_LIBRARY(tellicotest STATIC ${tellicotest_SRCS})

ADD_DEPENDENCIES(tellicotest tellico_config)

set(TELLICO_TEST_LIBS
   ${QT_AND_KDECORE_LIBS}
   ${QT_QTTEST_LIBRARY}
   ${KDE4_KDEUI_LIBS}
   ${KDE4_KIO_LIBS}
   tellicotest
   collections
   translators
   utils
   core
   images
   core
   gui
   tellicotest
   )

# for some of these, the libraries seem to require being repeated so
# that the order of linking works...no idea why...
KDE4_ADD_UNIT_TEST(collectiontest NOGUI collectiontest.cpp)
TARGET_LINK_LIBRARIES(collectiontest ${TELLICO_TEST_LIBS})

KDE4_ADD_UNIT_TEST(adstest NOGUI adstest.cpp)
TARGET_LINK_LIBRARIES(adstest ${TELLICO_TEST_LIBS})

KDE4_ADD_UNIT_TEST(alexandriatest NOGUI alexandriatest.cpp ../progressmanager.cpp)
TARGET_LINK_LIBRARIES(alexandriatest ${TELLICO_TEST_LIBS})

KDE4_ADD_UNIT_TEST(amctest NOGUI amctest.cpp)
TARGET_LINK_LIBRARIES(amctest ${TELLICO_TEST_LIBS})

KDE4_ADD_UNIT_TEST(bibtextest NOGUI bibtextest.cpp)
TARGET_LINK_LIBRARIES(bibtextest ${TELLICO_TEST_LIBS})

KDE4_ADD_UNIT_TEST(bibtexmltest NOGUI bibtexmltest.cpp)
TARGET_LINK_LIBRARIES(bibtexmltest ${TELLICO_TEST_LIBS})

KDE4_ADD_UNIT_TEST(gcstartest NOGUI gcstartest.cpp)
TARGET_LINK_LIBRARIES(gcstartest ${TELLICO_TEST_LIBS})

KDE4_ADD_UNIT_TEST(referencertest NOGUI referencertest.cpp)
TARGET_LINK_LIBRARIES(referencertest ${TELLICO_TEST_LIBS})

KDE4_ADD_UNIT_TEST(ristest NOGUI ristest.cpp)
TARGET_LINK_LIBRARIES(ristest ${TELLICO_TEST_LIBS})

KDE4_ADD_UNIT_TEST(tellicoreadtest NOGUI tellicoreadtest.cpp)
TARGET_LINK_LIBRARIES(tellicoreadtest tellicomodels ${TELLICO_TEST_LIBS})

KDE4_ADD_UNIT_TEST(allocinefetchertest NOGUI allocinefetchertest.cpp)
TARGET_LINK_LIBRARIES(allocinefetchertest fetch ${TELLICO_TEST_LIBS})

KDE4_ADD_UNIT_TEST(amazonfetchertest NOGUI amazonfetchertest.cpp)
TARGET_LINK_LIBRARIES(amazonfetchertest fetch ${TELLICO_TEST_LIBS})

KDE4_ADD_UNIT_TEST(animenfofetchertest NOGUI animenfofetchertest.cpp)
TARGET_LINK_LIBRARIES(animenfofetchertest fetch ${TELLICO_TEST_LIBS})

KDE4_ADD_UNIT_TEST(arxivfetchertest NOGUI arxivfetchertest.cpp)
TARGET_LINK_LIBRARIES(arxivfetchertest fetch ${TELLICO_TEST_LIBS})

KDE4_ADD_UNIT_TEST(boardgamegeekfetchertest NOGUI boardgamegeekfetchertest.cpp)
TARGET_LINK_LIBRARIES(boardgamegeekfetchertest fetch ${TELLICO_TEST_LIBS})

KDE4_ADD_UNIT_TEST(citebasefetchertest NOGUI citebasefetchertest.cpp)
TARGET_LINK_LIBRARIES(citebasefetchertest fetch ${TELLICO_TEST_LIBS})

KDE4_ADD_UNIT_TEST(discogsfetchertest NOGUI discogsfetchertest.cpp)
TARGET_LINK_LIBRARIES(discogsfetchertest fetch ${TELLICO_TEST_LIBS})

KDE4_ADD_UNIT_TEST(doubanfetchertest NOGUI doubanfetchertest.cpp)
TARGET_LINK_LIBRARIES(doubanfetchertest fetch ${TELLICO_TEST_LIBS})

KDE4_ADD_UNIT_TEST(dvdfrfetchertest NOGUI dvdfrfetchertest.cpp)
TARGET_LINK_LIBRARIES(dvdfrfetchertest fetch ${TELLICO_TEST_LIBS})

IF( QJSON_FOUND )
    KDE4_ADD_UNIT_TEST(freebasefetchertest NOGUI freebasefetchertest.cpp)
    TARGET_LINK_LIBRARIES(freebasefetchertest fetch ${TELLICO_TEST_LIBS})

    KDE4_ADD_UNIT_TEST(filmasterfetchertest NOGUI filmasterfetchertest.cpp)
    TARGET_LINK_LIBRARIES(filmasterfetchertest fetch ${TELLICO_TEST_LIBS})
ENDIF( QJSON_FOUND )

# running gcstar in the fetcher is really unreliable
#KDE4_ADD_UNIT_TEST(gcstarfetchertest NOGUI gcstarfetchertest.cpp)
#TARGET_LINK_LIBRARIES(gcstarfetchertest fetch ${TELLICO_TEST_LIBS})

KDE4_ADD_UNIT_TEST(giantbombfetchertest NOGUI giantbombfetchertest.cpp)
TARGET_LINK_LIBRARIES(giantbombfetchertest fetch ${TELLICO_TEST_LIBS})

KDE4_ADD_UNIT_TEST(googlescholarfetchertest NOGUI googlescholarfetchertest.cpp)
TARGET_LINK_LIBRARIES(googlescholarfetchertest fetch ${TELLICO_TEST_LIBS})

KDE4_ADD_UNIT_TEST(imdbfetchertest NOGUI imdbfetchertest.cpp)
TARGET_LINK_LIBRARIES(imdbfetchertest fetch ${TELLICO_TEST_LIBS})

KDE4_ADD_UNIT_TEST(isbndbfetchertest NOGUI isbndbfetchertest.cpp)
TARGET_LINK_LIBRARIES(isbndbfetchertest fetch ${TELLICO_TEST_LIBS})

KDE4_ADD_UNIT_TEST(musicbrainzfetchertest NOGUI musicbrainzfetchertest.cpp)
TARGET_LINK_LIBRARIES(musicbrainzfetchertest fetch ${TELLICO_TEST_LIBS})

IF( QJSON_FOUND )
    KDE4_ADD_UNIT_TEST(openlibraryfetchertest NOGUI openlibraryfetchertest.cpp)
    TARGET_LINK_LIBRARIES(openlibraryfetchertest fetch ${TELLICO_TEST_LIBS})
ENDIF( QJSON_FOUND )

KDE4_ADD_UNIT_TEST(srufetchertest NOGUI srufetchertest.cpp)
TARGET_LINK_LIBRARIES(srufetchertest fetch ${TELLICO_TEST_LIBS})

KDE4_ADD_UNIT_TEST(themoviedbfetchertest NOGUI themoviedbfetchertest.cpp)
TARGET_LINK_LIBRARIES(themoviedbfetchertest fetch ${TELLICO_TEST_LIBS})

IF( YAZ_FOUND )
    KDE4_ADD_UNIT_TEST(z3950fetchertest NOGUI z3950fetchertest.cpp)
    TARGET_LINK_LIBRARIES(z3950fetchertest fetch ${TELLICO_TEST_LIBS})
ENDIF( YAZ_FOUND )

KDE4_ADD_UNIT_TEST(entryupdatejobtest NOGUI entryupdatejobtest.cpp ../entryupdatejob.cpp)
TARGET_LINK_LIBRARIES(entryupdatejobtest fetch translators ${TELLICO_TEST_LIBS})

=== src/translators/CMakeLists.txt ===

########### next target ###############

SET(translators_STAT_SRCS
   adsimporter.cpp
   alexandriaexporter.cpp
   alexandriaimporter.cpp
   amcimporter.cpp
   audiofileimporter.cpp
   bibtexexporter.cpp
   bibtexhandler.cpp
   bibteximporter.cpp
   bibtexmlexporter.cpp
   bibtexmlimporter.cpp
   csvexporter.cpp
   csvimporter.cpp
   csvparser.cpp
   dataimporter.cpp
   deliciousimporter.cpp
   exporter.cpp
   filelistingimporter.cpp
   freedb_util.cpp
   freedbimporter.cpp
   gcstarexporter.cpp
   gcstarimporter.cpp
   griffithimporter.cpp
   grs1importer.cpp
   htmlexporter.cpp
   importer.cpp
   onixexporter.cpp
   pdfimporter.cpp
   pilotdbexporter.cpp
   referencerimporter.cpp
   risimporter.cpp
   tellico_xml.cpp
   tellicoimporter.cpp
   tellicoxmlexporter.cpp
   tellicoxmlhandler.cpp
   tellicozipexporter.cpp
   textimporter.cpp
   xmlimporter.cpp
   xmlstatehandler.cpp
   xmphandler.cpp
   xsltexporter.cpp
   xslthandler.cpp
   xsltimporter.cpp
   )

KDE4_ADD_LIBRARY(translators STATIC ${translators_STAT_SRCS})
TARGET_LINK_LIBRARIES(translators
    collections
    tellicomodels
    btparse
    csv
    rtf2html
    )

TARGET_LINK_LIBRARIES(translators
    ${LIBXML2_LIBRARIES}
    ${LIBXSLT_LIBRARIES}
    ${LIBEXSLT_LIBRARIES}
    )

IF( NEPOMUK_FOUND )
  ADD_DEFINITIONS( -DDISABLE_NEPOMUK_LEGACY )
  TARGET_LINK_LIBRARIES(translators ${NEPOMUK_LIBRARIES})
ENDIF( NEPOMUK_FOUND)

IF( KCDDB_FOUND )
  TARGET_LINK_LIBRARIES(translators ${KCDDB_LIBRARIES})
ENDIF( KCDDB_FOUND)

IF( POPPLER_QT4_FOUND )
  TARGET_LINK_LIBRARIES(translators ${POPPLER_QT4_LIBRARIES})
ENDIF( POPPLER_QT4_FOUND )

IF( LIBEXEMPI_FOUND )
  TARGET_LINK_LIBRARIES(translators ${LIBEXEMPI_LIBRARIES})
ENDIF( LIBEXEMPI_FOUND )

IF( TAGLIB_FOUND )
  TARGET_LINK_LIBRARIES(translators ${TAGLIB_LIBRARIES})
ENDIF( TAGLIB_FOUND )

ADD_DEPENDENCIES(translators tellico_config)

########### install files ###############

INSTALL(PROGRAMS   griffith2tellico.py DESTINATION ${TELLICO_DATA_INSTALL_DIR} )
INSTALL(FILES   bibtex-translation.xml DESTINATION ${TELLICO_DATA_INSTALL_DIR} )

=== xslt/report-templates/CMakeLists.txt ===
########### install files ###############

SET(REPORT_FILES
  Column_View.xsl
  Group_Summary.xsl
  Group_View.xsl
  Image_List.xsl
  Loan_View.xsl
  Title_Listing_\(Horizontal\).xsl
  Title_Listing_\(Vertical\).xsl
  Tri-Column.xsl
)

INSTALL(FILES ${REPORT_FILES} DESTINATION ${TELLICO_DATA_INSTALL_DIR}/report-templates )

=== debian/changelog ===
tellico (2.3.3-1) unstable; urgency=low

  * New upstream release. Fixes FTBFS with kernel 2.6.38 (Closes: #622047) 

 -- Regis Boudin <regis@debian.org>  Mon, 11 Apr 2011 20:27:14 +0100

tellico (2.3.2-1) experimental; urgency=low

  * New upstream release (Closes: #601502).
  * Drop webcam support and remove type-handling dependency (Closes: #587868).
  * Should fix the crash when using filters (Closes: #549958).
  * Permissions for backup files should be fixed as well (Closes: #561238).

 -- Regis Boudin <regis@debian.org>  Mon, 03 Jan 2011 18:42:57 +0000

tellico (2.3-1) experimental; urgency=low

  * New upstream release.
  * Build-depend on shared-desktop-ontologies and libqjson-dev.
  * Force a check in /usr/share/apps/cmake/modules to find FindQJSON.cmake.
  * Bump Standards-Version to 3.9.1.
  * Follow Policy section 7.4 and use Breaks plus Replaces instead of Conflicts
    plus Replaces.

 -- Regis Boudin <regis@debian.org>  Thu, 19 Aug 2010 12:52:35 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: kde
 Priority: optional
 Maintainer: Regis Boudin <regis@debian.org>
-Build-Depends: debhelper (>= 7), cmake, pkg-kde-tools (>= 0.9), kdelibs5-dev (>=4:4.4.4), libxml2-dev, libxslt1-dev, libtag1-dev, libyaz4-dev, libkcddb-dev, kdepimlibs5-dev, libpoppler-qt4-dev, libexempi-dev, libqimageblitz-dev, libksane-dev, libv4l-dev | not+linux-gnu
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 7), cmake, pkg-kde-tools (>= 0.9), kdelibs5-dev (>=4:4.4.4), libxml2-dev, libxslt1-dev, libtag1-dev, libyaz4-dev, libkcddb-dev, kdepimlibs5-dev, libpoppler-qt4-dev, libexempi-dev, libqimageblitz-dev, libksane-dev, shared-desktop-ontologies, libqjson-dev
+Standards-Version: 3.9.2
 Homepage: http://tellico-project.org/
 Vcs-Svn: svn://anonsvn.kde.org/home/kde/trunk/extragear/office/tellico
 
@@ -28,7 +28,7 @@
 
 Package: tellico-data
 Architecture: all
-Conflicts: tellico (<< 1.1.6-1)
+Breaks: tellico (<< 1.1.6-1)
 Replaces: tellico (<< 1.1.6-1)
 Depends: kdelibs5-data, ${misc:Depends}
 Recommends: tellico
@@ -53,7 +53,7 @@
 Package: tellico-scripts
 Architecture: all
 Depends: ${misc:Depends}
-Conflicts: tellico-data (<= 1.3.1-2)
+Breaks: tellico-data (<= 1.3.1-2)
 Replaces: tellico-data (<= 1.3.1-2)
 Recommends: tellico
 Suggests: python, ruby

=== debian/rules ===
--- 
+++ 
@@ -20,8 +20,9 @@
 		cmake $(CURDIR) \
 		$(DEB_CMAKE_KDE4_FLAGS) \
 		$(DEB_CMAKE_CUSTOM_FLAGS) \
-		-DENABLE_WEBCAM=true \
-		-DCMAKE_INSTALL_PREFIX="/usr"
+		-DENABLE_WEBCAM=false \
+		-DCMAKE_INSTALL_PREFIX="/usr" \
+		-DCMAKE_MODULE_PATH="/usr/share/apps/cmake/modules"
 
 configure: ${build_dir}
